org.eclipse.graphiti.features.custom

## Class AbstractCustomFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.custom.AbstractCustomFeature

All Implemented Interfaces:
  ICustomFeature, IFeature, IFeatureProviderHolder, IDescription, IName

Direct Known Subclasses:
  AbstractAsynchronousCustomFeature, AbstractDrillDownFeature, DebugFeature

    public abstract class AbstractCustomFeature
    extends AbstractFeature
    implements ICustomFeature

The Class AbstractCustomFeature.

### Constructor Summary

Constructors
Constructor and Description
`AbstractCustomFeature(IFeatureProvider fp)` Creates a new `AbstractCustomFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute(IContext context)` Decides if the current feature can execute with the given context.
`boolean` `canExecute(ICustomContext context)` Can execute.
`void` `execute(IContext context)` Executes the current feature with the given context.
`java.lang.String` `getDescription()` Gets the description.
`java.lang.String` `getImageId()` Gets the image id.
`boolean` `isAvailable(IContext context)` Decides if the current feature is available with the given context.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`canUndo, getFeatureProvider, getName, hasDoneChanges, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.custom.ICustomFeature

`execute`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### AbstractCustomFeature

    public AbstractCustomFeature(IFeatureProvider fp)

Creates a new `AbstractCustomFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IDescription`
Gets the description.

Specified by:
  `getDescription` in interface `IDescription`
Overrides:
  `getDescription` in class `AbstractFeature`
Returns:
  the description

#### canExecute

    public boolean canExecute(ICustomContext context)

Description copied from interface: `ICustomFeature`
Can execute.

Specified by:
  `canExecute` in interface `ICustomFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### isAvailable

    public boolean isAvailable(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature is available with the given context.

Specified by:
  `isAvailable` in interface `IFeature`
Overrides:
  `isAvailable` in class `AbstractFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if it is available, false if not
See Also:
  `IContext`

#### canExecute

    public final boolean canExecute(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### getImageId

    public java.lang.String getImageId()

Description copied from interface: `ICustomFeature`
Gets the image id.

Specified by:
  `getImageId` in interface `ICustomFeature`
Returns:
  the image id